Opened 7 years ago

Closed 7 years ago

Last modified 6 years ago

#42915 closed enhancement (fixed)

[Port Abandoned] swig*

Reported by: michaelld (Michael Dickens) Owned by: kevin@…
Priority: Normal Milestone:
Component: ports Version:
Keywords: Cc: cooljeanius (Eric Gallager)
Port: swig swig-*

Description

Person email to "kevin@…" dated 2014-02-10 to update SWIG to 2.0.12. This email was never acknowledged, nor was SWIG updated.

Ticket #42911, to update SWIG to 3.0.0, filed Tuesday, 2014-03-18.

Quick search for "kevin@…" turns up no emails to MacPorts lists, nor replies to tickets, going back at least 3 years if not longer. I can find a commit by "kevin" to SWIG about 9 years ago; all more recent commits are not by kevin.

"port list maintainers:kevin" shows ownership of just the SWIG* ports (single Portfile with multiple subports), which I will take over if no reply by 2014-03-21 @ Noon US/ET.

Change History (6)

comment:1 Changed 7 years ago by mf2k (Frank Schima)

Port: swig, swig-*swig swig-*
Type: requestenhancement
Version: 2.2.1

Note that a "request" ticket type is for requesting new ports only.

comment:2 Changed 7 years ago by michaelld (Michael Dickens)

Haha! I didn't think an "abandonment" was an enhancement type ... it's more of a request ... but, that's reserved for new ports then I guess this works. Thanks!

comment:3 Changed 7 years ago by michaelld (Michael Dickens)

Resolution: fixed
Status: newclosed

Maintainer timeout. I'm taking over this port. Done in r118180.

comment:4 Changed 6 years ago by cooljeanius (Eric Gallager)

Now that you are the maintainer for swig, you should make sure to add yourself on CC for all of the tickets that are currently open against swig and its sub-ports:

#21294
Enable cffi support in swig?
#34891
swig: subports do not respect build_arch
#36435
swig-octave: mkoctfile... configure: error: mkoctfile is not installed
#45562
swig 3.0.2 port lacks necessary JavaScript files
#47197
cmake-based ports: Switch to cmake 1.1 portgroup
#53430
Please update swig-ruby to work with ruby-2.4
#57650
swig-ruby: Add support for ruby25
#60827
nds2-client-octave: Error: Syntax error - possibly a missing semicolon.
#61120
swig: remove dependency on swig3, swig3-${lang}

comment:5 Changed 6 years ago by cooljeanius (Eric Gallager)

Cc: egall@… added

Cc Me!

comment:6 Changed 6 years ago by michaelld (Michael Dickens)

True. Ah joy. Will do. Thanks for the list.

Note: See TracTickets for help on using tickets.